﻿@model IEnumerable<Work>
@using System.Security.Claims
@{
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
}
<div class="d-flex justify-content-between mb-5">
    <div class="d-flex align-items-center flex-wrap w-750px">
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">What do your last 10 years of work history look like</h4>
        <button class="btn btn-primary font-weight-bold btn-sm btn-work-add mb-2"><i class="fas fa-plus"></i> New Work</button>
    </div>
    <div>
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height">
    <div class="row" id="work-main-div">
        @foreach (var item in Model)
        {
            <div class="col-xl-6 work-info-div d-flex" id="workinfo-@item.Guid">
                <div class="card card-custom gutter-b shadow-none work-card bg-gray-100 w-100" style="border:1px solid #0e70b5">
                    <div class="card-header" style="background:#0e70b5">
                        <div class="card-title m-0 w-75">
                            <h3 class="card-label font-size-h4">
                                <span class="font-weight-bold text-white">@item.Company</span>
                            </h3>
                        </div>
                        <div class="card-toolbar">
                            <button class="btn btn-icon btn-sm btn-work-edit" data-guid="@item.Guid">
                                <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                            </button>
                            <button class="btn btn-icon btn-sm btn-work-delete" data-guid="@item.Guid">
                                <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="font-size-h6">
                            <div class="d-flex align-items-start">
                                <span class="col-md-4 text-dark font-weight-bold p-0">Position:</span>
                                <span class="col-md-8 p-0">@item.Position</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-4 text-dark font-weight-bold p-0">State:</span>
                                <span class="col-md-8 p-0">@item.State</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-4 text-dark font-weight-bold p-0">City:</span>
                                <span class="col-md-8 p-0">@item.City</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-4 text-dark font-weight-bold p-0">Duration:</span>
                                @if (!string.IsNullOrEmpty(item.FromYearString))
                                {
                                    <span class="col-md-8 p-0">@item.FromYearString - @item.ToYearString</span>
                                }
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="WorkModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    $("#btn-submit").addClass("btn-next");
    $("#wizard-main-div").on("click", ".btn-work-add,.btn-work-edit", function(e) {
        e.preventDefault()
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`adviser/profile/WorkInfo?guid=${id}`, "WorkModal");
        setTimeout(function() { KTApp.unblockPage(); }, 1000);
        $("#WorkModal").modal({ backdrop: 'static' });
    });
    $("#wizard-main-div").on("click", ".btn-work-delete", function(e) {
        e.preventDefault()
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function(result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`adviser/profile/deleteWork?guid=${guid}`, function() {
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(cur).closest(".work-info-div").remove();
                        setTimeout(function() { KTApp.unblockPage(); }, 1000);
                    });
                }
            });
    });
</script>